import extractDataFromBlock from '../../../utils/extract-data-from-block.js';
import validateOffsetAndLength from '../../../utils/validate-offset-and-length.js';
const rawContent = (cid, node, unixfs, path, resolve, depth, blockstore) => {
    function* yieldRawContent(options = {}) {
        if (unixfs.data == null) {
            throw new Error('Raw block had no data');
        }
        const size = unixfs.data.length;
        const { offset, length } = validateOffsetAndLength(size, options.offset, options.length);
        yield extractDataFromBlock(unixfs.data, 0n, offset, offset + length);
    }
    return yieldRawContent;
};
export default rawContent;
//# sourceMappingURL=raw.js.map